From 64d5481c00abdaa02ad710393423864dfe8dc320 Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Tue, 26 Aug 2014 19:38:32 -0500
Subject: [PATCH 1/7] Play nice with gemspec version numbers

---
 components/handlebars-source.gemspec | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/components/handlebars-source.gemspec b/components/handlebars-source.gemspec
index 9123fddcd..f9e1a4bc4 100644
--- a/components/handlebars-source.gemspec
+++ b/components/handlebars-source.gemspec
@@ -11,7 +11,7 @@ Gem::Specification.new do |gem|
   gem.description   = %q{Handlebars.js source code wrapper for (pre)compilation gems.}
   gem.summary       = %q{Handlebars.js source code wrapper}
   gem.homepage      = "https://github.com/wycats/handlebars.js/"
-  gem.version       = package["version"]
+  gem.version       = package["version"].sub! "-", "."
   gem.license       = "MIT"
 
   gem.files = [

From ed3ae9af596072f9f9f54c92d16fede36979957f Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Tue, 26 Aug 2014 19:38:40 -0500
Subject: [PATCH 2/7] Drop cdnjs release step

---
 CONTRIBUTING.md | 1 -
 1 file changed, 1 deletion(-)

diff --git a/CONTRIBUTING.md b/CONTRIBUTING.md
index 75aa9f553..d9724ba3e 100644
--- a/CONTRIBUTING.md
+++ b/CONTRIBUTING.md
@@ -61,7 +61,6 @@ A full release may be completed with the following:
 ```
 yo release
 npm publish
-yo release:publish cdnjs handlebars.js dist/cdnjs/
 yo release:publish components handlebars.js dist/components/
 
 cd dist/components/

From 58fb258016100e17c7a7d62dd3de16f16bb660da Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Wed, 27 Aug 2014 01:49:23 -0500
Subject: [PATCH 3/7] Cleanup var names slightly

---
 lib/handlebars/base.js | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/lib/handlebars/base.js b/lib/handlebars/base.js
index 9ecf6f4f1..217adb3a4 100644
--- a/lib/handlebars/base.js
+++ b/lib/handlebars/base.js
@@ -43,11 +43,11 @@ HandlebarsEnvironment.prototype = {
     delete this.helpers[name];
   },
 
-  registerPartial: function(name, str) {
+  registerPartial: function(name, partial) {
     if (toString.call(name) === objectType) {
       Utils.extend(this.partials,  name);
     } else {
-      this.partials[name] = str;
+      this.partials[name] = partial;
     }
   },
   unregisterPartial: function(name) {
@@ -189,9 +189,9 @@ function registerDefaultHelpers(instance) {
     }
   });
 
-  instance.registerHelper('log', function(context, options) {
+  instance.registerHelper('log', function(message, options) {
     var level = options.data && options.data.level != null ? parseInt(options.data.level, 10) : 1;
-    instance.log(level, context);
+    instance.log(level, message);
   });
 
   instance.registerHelper('lookup', function(obj, field) {
@@ -210,11 +210,11 @@ export var logger = {
   level: 3,
 
   // can be overridden in the host environment
-  log: function(level, obj) {
+  log: function(level, message) {
     if (logger.level <= level) {
       var method = logger.methodMap[level];
       if (typeof console !== 'undefined' && console[method]) {
-        console[method].call(console, obj);
+        console[method].call(console, message);
       }
     }
   }

From 4d17e3c2091907609499104b3a1890075ac5a903 Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Wed, 27 Aug 2014 01:49:52 -0500
Subject: [PATCH 4/7] Add contrib note regarding handlebarsjs.com docs

---
 CONTRIBUTING.md | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/CONTRIBUTING.md b/CONTRIBUTING.md
index d9724ba3e..7b18668c7 100644
--- a/CONTRIBUTING.md
+++ b/CONTRIBUTING.md
@@ -8,6 +8,8 @@ Should you run into other issues with the project, please don't hesitate to let
 
 Pull requests containing only failing thats demonstrating the issue are welcomed and this also helps ensure that your issue won't regress in the future once it's fixed.
 
+Documentation issues on the handlebarsjs.com site should be reported on [handlebars-site](https://github.com/wycats/handlebars-site).
+
 ## Pull Requests
 
 We also accept [pull requests][pull-request]!

From 0670f656fb93ea1d19fab1b75b7899ac599f85fa Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Wed, 27 Aug 2014 09:27:57 -0500
Subject: [PATCH 5/7] Update jsfiddle to 2.0.0-beta.1

---
 CONTRIBUTING.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/CONTRIBUTING.md b/CONTRIBUTING.md
index 7b18668c7..c6db72a75 100644
--- a/CONTRIBUTING.md
+++ b/CONTRIBUTING.md
@@ -75,4 +75,4 @@ After this point the handlebars site needs to be updated to point to the new ver
 [generator-release]: https://github.com/walmartlabs/generator-release
 [pull-request]: https://github.com/wycats/handlebars.js/pull/new/master
 [issue]: https://github.com/wycats/handlebars.js/issues/new
-[jsfiddle]: http://jsfiddle.net/9D88g/11/
+[jsfiddle]: http://jsfiddle.net/9D88g/25/

From 2e7519966474bf3c4406127361717a67c24bf381 Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Mon, 1 Sep 2014 21:28:51 -0500
Subject: [PATCH 6/7] Update release notes

---
 release-notes.md | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/release-notes.md b/release-notes.md
index 48cf7cf0d..8d9b233ce 100644
--- a/release-notes.md
+++ b/release-notes.md
@@ -2,7 +2,14 @@
 
 ## Development
 
-[Commits](https://github.com/wycats/handlebars.js/compare/v2.0.0-beta.1...master)
+[Commits](https://github.com/wycats/handlebars.js/compare/v2.0.0...master)
+
+## v2.0.0 - September 1st, 2014
+- Update jsfiddle to 2.0.0-beta.1 - 0670f65
+- Add contrib note regarding handlebarsjs.com docs - 4d17e3c
+- Play nice with gemspec version numbers - 64d5481
+
+[Commits](https://github.com/wycats/handlebars.js/compare/v2.0.0-beta.1...v2.0.0)
 
 ## v2.0.0-beta.1 - August 26th, 2014
 - [#787](https://github.com/wycats/handlebars.js/pull/787) - Remove whitespace surrounding standalone statements ([@kpdecker](https://api.github.com/users/kpdecker))

From 1eb2b04aa1468059172af16968e28ba3a9c07e6d Mon Sep 17 00:00:00 2001
From: kpdecker <kpdecker@gmail.com>
Date: Mon, 1 Sep 2014 21:28:59 -0500
Subject: [PATCH 7/7] v2.0.0

---
 components/bower.json           | 2 +-
 components/handlebars.js.nuspec | 2 +-
 lib/handlebars/base.js          | 2 +-
 package.json                    | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/components/bower.json b/components/bower.json
index d91be56b0..ec9280310 100644
--- a/components/bower.json
+++ b/components/bower.json
@@ -1,6 +1,6 @@
 {
   "name": "handlebars",
-  "version": "2.0.0-beta.1",
+  "version": "2.0.0",
   "main": "handlebars.js",
   "dependencies": {}
 }
diff --git a/components/handlebars.js.nuspec b/components/handlebars.js.nuspec
index 8e676c7ab..671a32fba 100644
--- a/components/handlebars.js.nuspec
+++ b/components/handlebars.js.nuspec
@@ -2,7 +2,7 @@
 <package>
 	<metadata>
 		<id>handlebars.js</id>
-		<version>2.0.0-beta.1</version>
+		<version>2.0.0</version>
 		<authors>handlebars.js Authors</authors>
 		<licenseUrl>https://github.com/wycats/handlebars.js/blob/master/LICENSE</licenseUrl>
 		<projectUrl>https://github.com/wycats/handlebars.js/</projectUrl>
diff --git a/lib/handlebars/base.js b/lib/handlebars/base.js
index 217adb3a4..76f53e276 100644
--- a/lib/handlebars/base.js
+++ b/lib/handlebars/base.js
@@ -1,7 +1,7 @@
 module Utils from "./utils";
 import Exception from "./exception";
 
-export var VERSION = "2.0.0-beta.1";
+export var VERSION = "2.0.0";
 export var COMPILER_REVISION = 6;
 
 export var REVISION_CHANGES = {
diff --git a/package.json b/package.json
index 1759b1c60..6ed9a5526 100644
--- a/package.json
+++ b/package.json
@@ -1,7 +1,7 @@
 {
   "name": "handlebars",
   "barename": "handlebars",
-  "version": "2.0.0-beta.1",
+  "version": "2.0.0",
   "description": "Handlebars provides the power necessary to let you build semantic templates effectively with no frustration",
   "homepage": "http://www.handlebarsjs.com/",
   "keywords": [
